CSFML 3.0.0
Loading...
Searching...
No Matches
Classes | Typedefs
InputStream.h File Reference
`#include <CSFML/System/Export.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes
struct | sfInputStream
| Set of callbacks that allow users to define custom file streams. More...

## Typedefs
typedef int64_t(* | sfInputStreamReadFunc) (void *data, size_t size, void *userData)
typedef int64_t(* | sfInputStreamSeekFunc) (size_t position, void *userData)
typedef int64_t(* | sfInputStreamTellFunc) (void *userData)
typedef int64_t(* | sfInputStreamGetSizeFunc) (void *userData)
typedef struct sfInputStream | sfInputStream
| Set of callbacks that allow users to define custom file streams.

## Typedef Documentation

## ◆ sfInputStream

typedef struct sfInputStream sfInputStream

Set of callbacks that allow users to define custom file streams.

## ◆ sfInputStreamGetSizeFunc

typedef int64_t(* sfInputStreamGetSizeFunc) (void *userData)

Definition at line 38 of file InputStream.h.

## ◆ sfInputStreamReadFunc

typedef int64_t(* sfInputStreamReadFunc) (void *data, size_t size, void *userData)

Definition at line 35 of file InputStream.h.

## ◆ sfInputStreamSeekFunc

typedef int64_t(* sfInputStreamSeekFunc) (size_t position, void *userData)

Definition at line 36 of file InputStream.h.

## ◆ sfInputStreamTellFunc

typedef int64_t(* sfInputStreamTellFunc) (void *userData)

Definition at line 37 of file InputStream.h.